<?php

if (!defined('DATALIFEENGINE')) {
  die("Hacking attempt!");
}
class Qcomment_Admin {
  protected static $action = array();
  protected static $qcomment_lng = array();
  protected static $config = array();
  protected static $dle_login_hash = '';
  protected static $path = '';
  protected static $db = false;
  protected static $ajax = false;
  public function __construct() {
    global $qcomment_lng, $config, $member_id, $dle_login_hash, $path, $user_group, $qcomment_config;
    self::$action['get'] = totranslit($_REQUEST['action'], true, true);
    if (!self::$action['get']) {
      self::$action['get'] = 'main';
    }
    if (!file_exists(QCOMMENT_DIR . '/action/admin/' . self::$action['get'] . '.php')) {
      self::$action['get'] = 'error';
    }
    self::$action['load'] = 'Qcomment_Action_Admin_' . self::$action['get'];
    self::$qcomment_lng = $qcomment_lng;
    self::$config['DLE'] = $config;
    self::$config['QC'] = $qcomment_config;
    self::$dle_login_hash = $dle_login_hash;
    self::$path = $path;

    if (!class_exists('db')) {
      require_once ENGINE_DIR . '/classes/mysql.php';
    }
    self::$db = new db;
    self::$ajax = $_SERVER['HTTP_X_REQUESTED_WITH'] == "XMLHttpRequest" ? true:false;

  }
  public function Init() {
    require_once QCOMMENT_DIR . '/action/admin/' . self::$action['get'] . '.php';
    $stack = new self::$action['load'];

    return $stack->Init();
  }

  public function getJson($arr) {
    return json_encode($this->_jconvert(self::$config['DLE']['charset'], 'utf-8', $arr));
  }
  private function _jconvert($from, $to, $var) {
    if (is_array($var)) {
      $new = array();
      foreach ($var as $key => $val) {
        $new[$this->_jconvert($from, $to, $key)] = $this->_jconvert($from, $to, $val);
      }
      $var = $new;
    } else
      if (is_string($var)) {
        $var = iconv($from, $to, $var);
      }
    return $var;
  }

  public function makeDropDown($options, $name, $selected) {
    $output = "<select name=\"$name\">\r\n";
    foreach ($options as $value => $description) {
      $output .= "<option value=\"$value\"";
      if ($selected == $value) {
        $output .= " selected ";
      }
      $output .= ">$description</option>\n";
    }
    $output .= "</select>";
    return $output;
  }
  public function getMenu() {
    $result = '';
    $result .= '<li ' . (self::$action['get'] == 'configure' ? 'class="active"':'') . '><a href="' . self::$path . '?mod=qcomment&amp;action=configure">' . self::$qcomment_lng['lng_6'] . '</a></li>';
    $result = '<ul class="nav nav-pills">' . $result . '</ul>';
    return $result;
  }
}

?>